Name:           perl-XML-Feed
Version:        0.40
Release:        1%{?dist}
Summary:        Syndication feed parser and auto-discovery
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/XML-Feed/
Source0:        http://www.cpan.org/authors/id/S/SI/SIMONW/XML-Feed-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Class::ErrorHandler)
BuildRequires:  perl(DateTime)
BuildRequires:  perl(DateTime::Format::Mail)
BuildRequires:  perl(DateTime::Format::W3CDTF)
BuildRequires:  perl(Feed::Find)
BuildRequires:  perl(HTML::TokeParser)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::Pluggable)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(URI::Fetch)
BuildRequires:  perl(XML::Atom) >= 0.32
BuildRequires:  perl(XML::LibXML) >= 1.66
BuildRequires:  perl(XML::RSS) >= 1.37
Requires:       perl(Class::ErrorHandler)
Requires:       perl(DateTime)
Requires:       perl(DateTime::Format::Mail)
Requires:       perl(DateTime::Format::W3CDTF)
Requires:       perl(Feed::Find)
Requires:       perl(HTML::TokeParser)
Requires:       perl(LWP::UserAgent)
Requires:       perl(Module::Pluggable)
Requires:       perl(Test::More)
Requires:       perl(URI::Fetch)
Requires:       perl(XML::Atom) >= 0.32
Requires:       perl(XML::LibXML) >= 1.66
Requires:       perl(XML::RSS) >= 1.37
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
XML::Feed is a syndication feed parser for both RSS and Atom feeds. It also
implements feed auto-discovery for finding feeds, given a URI.

%prep
%setup -q -n XML-Feed-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Nov 28 2008 Dave Cross <dave@mag-sol.com> 0.40-1
- Specfile autogenerated by cpanspec 1.77.
